Bug 1571755 - Expand cluster notifications use integration id instead of cluster name
Summary: Expand cluster notifications use integration id instead of cluster name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-notifier
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-25 11:22 UTC by Filip Balák
Modified: 2018-09-04 07:06 UTC (History)
6 users (show)

Fixed In Version: tendrl-ui-1.6.3-3.el7rhgs tendrl-gluster-integration-1.6.3-4.el7rhgs tendrl-monitoring-integration-1.6.3-4.el7rhgs tendrl-commons-1.6.3-6.el7rhgs tendrl-node-agent-1.6.3-6.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
Events page with alerts (124.27 KB, image/png)
2018-04-25 11:22 UTC, Filip Balák
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl gluster-integration issues 652 0 None None None 2018-05-28 19:43:46 UTC
Github Tendrl node-agent issues 796 0 None None None 2018-04-26 05:08:43 UTC
Github Tendrl node-agent pull 797 0 None None None 2018-04-26 04:56:01 UTC
Red Hat Bugzilla 1579937 0 unspecified CLOSED Duplicate Events are Processed and displayed in UI 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:23 UTC

Internal Links: 1579937

Description Filip Balák 2018-04-25 11:22:00 UTC
Created attachment 1426604 [details]
Events page with alerts

Description of problem:
Notifications related to the cluster expansion use `integration id` instead of `cluster short name` when the Cluster Name is set during import. These ids are in alerts and events. I have encountered this issue when nodes for expand were available:

 * `New nodes in cluster:integration_id`  have node agents running now. Cluster is ready to expand.`
 * `New peers identified in cluster: integration_id. Make sure tendrl-ansible is executed for the new nodes so that expand cluster option can be triggered`
 * `Peer fbalak-usm2-gl6 in cluster cluster_id is Connected`

Version-Release number of selected component (if applicable):
glusterfs-3.12.2-8.el7rhgs.x86_64
tendrl-ansible-1.6.3-2.el7rhgs.noarch
tendrl-api-1.6.3-1.el7rhgs.noarch
tendrl-api-httpd-1.6.3-1.el7rhgs.noarch
tendrl-commons-1.6.3-2.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-1.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-1.el7rhgs.noarch
tendrl-node-agent-1.6.3-2.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install tendrl.
2. Import cluster, during import set Cluster Name to `cluster1`.
3. Add peers to the cluster.
4. Install tendrl on new nodes via tendrl-ansible.
5. Check tendrl ui and initiate expand.
6. Check snmp, mail and ui for alerts.

Actual results:
In Events page for the cluster and in alerts are messages containing cluster id.

Expected results:
All messages should address the cluster by its cluster name `cluster1`.

Additional info:

Comment 1 gowtham 2018-04-30 08:38:25 UTC
This issue is fixed

Comment 5 Filip Balák 2018-05-18 10:12:08 UTC
It seems that messages:
 * `New nodes in cluster:integration_id`  have node agents running now. Cluster is ready to expand.`
 * `New peers identified in cluster: integration_id. Make sure tendrl-ansible is executed for the new nodes so that expand cluster option can be triggered`
are fixed but message:
 * `Peer <host-id> in cluster <cluster-id> is Connected`
is not fixed.
--> ASSIGNED

Tested with:
glusterfs-3.12.2-10.el7rhgs.x86_64
tendrl-ansible-1.6.3-3.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-4.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-2.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-2.el7rhgs.noarch
tendrl-node-agent-1.6.3-4.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

Comment 10 Filip Balák 2018-06-12 08:16:30 UTC
It is fixed. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-6.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-4.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-4.el7rhgs.noarch
tendrl-node-agent-1.6.3-6.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-3.el7rhgs.noarch

Comment 12 errata-xmlrpc 2018-09-04 07:05:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.